# nng_stream_listener_free(3str) Manual Page

## NAME

nng_stream_listener_free - free byte stream listener

## SYNOPSIS

    #include <nng/nng.h>

    void nng_stream_listener_free(nng_stream_listener *)l;

## DESCRIPTION

The `nng_stream_listener_free()` function closes the supplied byte stream listener l, and frees the underlying resources associated with it.

If any accept operations using __l are in progress, they will be terminated with an `NNG_ECLOSED` error condition.

| It is important that the application ensure that no further accesses are made to l, as the memory backing it will be reclaimed for other uses.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_strerror(3), nng_stream_listener_accept(3str), nng_stream_listener_alloc(3str), nng_stream_listener_close(3str), nng_stream_listener(5)